## org.apache.jasper.compiler
Class ErrorDispatcher

    java.lang.Object
      org.apache.jasper.compiler.ErrorDispatcher

public class ErrorDispatcher
extends java.lang.Object

Class responsible for dispatching JSP parse and javac compilation errors to the configured error handler. This class is also responsible for localizing any error codes before they are passed on to the configured error handler. In the case of a Java compilation error, the compiler error message is parsed into an array of JavacErrorDetail instances, which is passed on to the configured error handler.

Author:
  Jan Luehe, Kin-man Chung

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.